Test::LDSB::MatSym2 Class Reference

Test for matrix symmetry More...

## Static Public Member Functions

static void | setup (Home home, IntVarArray &xs)
| Setup problem constraints and symmetries.
static std::vector< IntArgs > | expectedSolutions (void)
| Compute list of expected solutions.

## Static Public Attributes

static const int | n = 6
| Number of variables.
static const int | l = 0
| Lower bound of values.
static const int | u = 1
| Upper bound of values.

## Detailed Description

Test for matrix symmetry

Definition at line 514 of file ldsb.cpp.

## Member Function Documentation

## setup()

void Test::LDSB::MatSym2::setup | ( | Home | home,
|  | IntVarArray & | xs )

inline static

Setup problem constraints and symmetries.

Definition at line 523 of file ldsb.cpp.

## expectedSolutions()

std::vector< IntArgs > Test::LDSB::MatSym2::expectedSolutions | ( | void |  | ) |

inline static

Compute list of expected solutions.

Definition at line 530 of file ldsb.cpp.

## Member Data Documentation

## n

const int Test::LDSB::MatSym2::n = 6

static

Number of variables.

Definition at line 517 of file ldsb.cpp.

## l

const int Test::LDSB::MatSym2::l = 0

static

Lower bound of values.

Definition at line 519 of file ldsb.cpp.

## u

const int Test::LDSB::MatSym2::u = 1

static

Upper bound of values.

Definition at line 521 of file ldsb.cpp.

The documentation for this class was generated from the following file:

- test/ldsb.cpp